
$.extend($.fn, {
	hideModal : function() {
		$('#jmodal-overlay').animate({ opacity: 0 }, function() { $(this).css('display', 'none') });
		$('#jquery-jmodal-bg').animate({ opacity: 0 }, function() { $(this).css('display', 'none') });
		$('#jquery-jmodal').animate({ opacity: 0 }, function() { $(this).css('display', 'none') });
	},
    jmodal: function(setting) {
        var ps = $.fn.extend({
            data: {},
            buttonText: 'OK',
            okEvent: function(e) { },
            initWidth: 400,
            marginTop: 100,
            title: 'JModal Dialog',
            content: 'This is a jquery plusin!',
            docWidth: $(document).width(),
            docHeight: $(document).height(),
            overlayCss: {
                'position': 'absolute',
                'left': '0',
                'top': '0',
                'background-color': '#7f7f7f',
                'opacity': '0',
                'z-index': '200'
            },
            jmodalbgCss: {
                'z-index': '201',
                'position': 'absolute',
                'background-color': ''
            },
            jmodalCss: {
                'z-index': '202',
                'height': 'auto',
                'position': 'fixed',
					'border': '1px #808080 solid',
                'opacity': '0'

            },
            closeCss: {
                'position': 'absolute',
                'right': '5px',
                'top': '14px',
                'width': '26px',
                'height': '16px',
                'font-weight': '100',
				'font-size': '13.5pt',
                'color': '#777',
				'font-family':'Arial, Helvetica, sans-serif',
                'text-align': 'center',
                //'line-height': '16px',
                'display': 'block',
                'text-decoration': 'none'
            },
            titleCss: {
                'height': '38px',
                'background-color': '#fff',
                'font-weight': 'bold',
                'text-indent': '-9910px',
				'text-align': 'left',
                'color': '#767676',
                'line-height': '38px',
				//'cursor' :'move',
                'border-bottom': '0px #A0A0A0 solid'
            },
            contentCss: {
                'height': 'auto',
                'background-color': '#fff',
				
                'padding': '0'
            },
            bottomCss: {
                'background-color': '#eee',
                'border-top': '1px solid #ccc',
                'padding': '5px',
                'text-align': 'right'
            },
            buttonCss: {
                'background-color': '#f0f0f0',
                'border-color': '#B8D4E8 #124680 #124680 #B8D4E8',
                'border-style': 'solid',
                'border-width': '1px',
                'color': '#008080',
                'cursor': 'pointer',
                'font-size': '12px',
                'padding': '2px 15px',
                'text-align': 'center',
                'margin-right': '5px',
                'font-family': 'Calibri'
            }
        }, setting);
        function hideModal() {
            $('#jmodal-overlay').animate({ opacity: 0 }, function() { $(this).css('display', 'none') });
            $('#jquery-jmodal-bg').animate({ opacity: 0 }, function() { $(this).css('display', 'none') });
            $('#jquery-jmodal').animate({ opacity: 0 }, function() { $(this).css('display', 'none') });
        }
        if ($('#jquery-jmodal').length == 0) {
            $(document.body).append('<div id="jmodal-overlay" />' +
                '<div id="jquery-jmodal-bg" />' +
                '<div id="jquery-jmodal"ondragstart="" onselectstart="return false" >' +
                '<a href="javascript:void(0)" id="jquery-jmodal-close" title="关闭"><img src="/Javascript/close.jpg" width="12" /></a>' +
                '<div id="jmodal-container-title" />' +
                '<div  id="jmodal-container-content" />' +
                '<div id="jmodal-container-bottom" style="display:none;">' +
                '<button id="jmodal-bottom-okbutton" ></button>' +
                '</div>');
        }
        else {
            $('#jmodal-overlay').css({ opacity: 0, 'display': 'block' });
            $('#jquery-jmodal-bg').css({ opacity: 0, 'display': 'block' });
            $('#jquery-jmodal').css({ opacity: 0, 'display': 'block' });
        }
        $('#jmodal-overlay').css(ps.overlayCss).css({
            width: ps.docWidth,
            height: ps.docHeight
        }).animate({ opacity: 0.5 });
        $('#jquery-jmodal').css(ps.jmodalCss).css({
            width: ps.initWidth,
            left: (ps.docWidth - ps.initWidth) / 2,
        //    top: (ps.marginTop + document.documentElement.scrollTop)
top:100
        }).animate({ opacity: 1 }, function() {
            var me = this;
            $('#jquery-jmodal-bg').css(ps.jmodalbgCss).css({
                //width: ps.initWidth + 20,
                left: (ps.docWidth - ps.initWidth) / 2 - 10,
                height: $(me).height() + 20,
                opacity: 0.5,
                top: (ps.marginTop - 10 + document.documentElement.scrollTop)
            });
        });
        $('#jquery-jmodal-close').css(ps.closeCss).hover(function() {
             $(this).css({ 'background-color': '##F7F7F7', 'color': '#767676', 'font-size': '13.5pt' });
        }, function() {
            $(this).css({ 'background-color': '##F7F7F7', 'color': '#767676', 'font-size': '13.5pt' });
        }).mouseup(hideModal);
        $('#jmodal-container-title')
                .css(ps.titleCss)
                    .html(ps.title)
                        .next()
                            .css(ps.contentCss)
                                    .next()
                                        .css(ps.bottomCss)
                                            .children('#jmodal-bottom-okbutton')
                                                .text(ps.buttonText)
                                                    .css(ps.buttonCss)
                                                        .one('click', function(e) {
                                                            ps.okEvent(ps.data); hideModal();
                                                        });
        if (typeof ps.content == 'string') {
            $('#jmodal-container-content').html(ps.content);
        }
        if (typeof ps.content == 'function') {
            var e = $('#jmodal-container-content');
            e.holder = $('#jquery-jmodal');
            e.modalBG = $('#jquery-jmodal-bg');
            ps.content(e);
        }
		
		
    }
})





function jmodal_win_auto(r_title, r_path, r_width, r_height) {
    $.fn.jmodal({
        title: r_title,
        initWidth: r_width,
        content: "<iframe src=" + r_path + " width=" + r_width + " height=" + r_height + " frameborder='0' scrolling='auto'></iframe>",
        buttonText: "确定",
        buttonCss: { 'display': 'none' },
        okEvent: function (e) { }
    });
}

function cancel_create_ablum() {
    $("#ablum_dialog").hideModal();
}